> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-7/retrieve-a-site.md).

# Retrieve a Site

This endpoint retrieves detailed information about a specific site by its ID.

**Endpoint Description:**

* **Endpoint**: `GET /api/sites/{site_id}/`
* **Base URL**: `https://api.vomevolunteer.com`

**Path Parameter:**

* **site\_id** (`string`): The unique identifier for the site to be retrieved.

**Example Request:**

```http
GET https://api.vomevolunteer.com/api/sites/8f2c1e5a-..../
```

**Authorization:**

Requests to this endpoint must include an `API-KEY` in the header for authentication.

```python
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com/api/sites/8f2c1e5a-..../", headers=headers)
```

**Response Structure:**

Returns the same fields as a list item. Returns a `404` if the site does not exist in your organization.

```json
{
    "id": "8f2c1e5a-....",
    "name": "Downtown Clinic",
    "description": "",
    "address": "12 King St",
    "general_email": "downtown@example.org",
    "general_phone": "+15551234567",
    "website": "https://downtown.example.org"
}
```
